# Generated by Django 5.1.1 on 2024-11-02 15:25

from django.db import migrations
from django.db import models


class Migration(migrations.Migration):
    dependencies = [
        ("documents", "1056_customfieldinstance_deleted_at_and_more"),
    ]

    operations = [
        migrations.AddField(
            model_name="workflowaction",
            name="email_body",
            field=models.TextField(
                blank=True,
                help_text="The body (message) of the email, can include some placeholders, see documentation.",
                null=True,
                verbose_name="email body",
            ),
        ),
        migrations.AddField(
            model_name="workflowaction",
            name="email_include_document",
            field=models.BooleanField(
                default=False,
                verbose_name="include document in email",
            ),
        ),
        migrations.AddField(
            model_name="workflowaction",
            name="email_subject",
            field=models.CharField(
                blank=True,
                help_text="The subject of the email, can include some placeholders, see documentation.",
                max_length=256,
                null=True,
                verbose_name="email subject",
            ),
        ),
        migrations.AddField(
            model_name="workflowaction",
            name="email_to",
            field=models.TextField(
                blank=True,
                help_text="The destination email addresses, comma separated.",
                null=True,
                verbose_name="emails to",
            ),
        ),
        migrations.AddField(
            model_name="workflowaction",
            name="webhook_headers",
            field=models.JSONField(
                blank=True,
                help_text="The headers to send with the webhook URL.",
                null=True,
                verbose_name="webhook headers",
            ),
        ),
        migrations.AddField(
            model_name="workflowaction",
            name="webhook_include_document",
            field=models.BooleanField(
                default=False,
                verbose_name="include document in webhook",
            ),
        ),
        migrations.AddField(
            model_name="workflowaction",
            name="webhook_params",
            field=models.JSONField(
                blank=True,
                help_text="The parameters to send with the webhook URL.",
                null=True,
                verbose_name="webhook parameters",
            ),
        ),
        migrations.AddField(
            model_name="workflowaction",
            name="webhook_url",
            field=models.URLField(
                blank=True,
                help_text="The destination URL for the notification.",
                null=True,
                verbose_name="webhook url",
            ),
        ),
        migrations.AlterField(
            model_name="workflowaction",
            name="type",
            field=models.PositiveIntegerField(
                choices=[
                    (1, "Assignment"),
                    (2, "Removal"),
                    (3, "Email"),
                    (4, "Webhook"),
                ],
                default=1,
                verbose_name="Workflow Action Type",
            ),
        ),
    ]
